Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class AbstractDiscountCalculator

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.AbstractDiscountCalculator

All Implemented Interfaces
  DiscountCalculator

Direct Known Subclasses:
  DiscountCalculatorFixedOff, DiscountCalculatorFixedPrice, DiscountCalculatorPercentOff

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class AbstractDiscountCalculator

extends Object
implements DiscountCalculator

Field Summary
`static boolean` | `DEBUG` Deprecated See BEA Commerce product offering

Fields inherited from interface com.bea.commerce.ebusiness.price.engine.DiscountCalculator
`calcMethod`

Constructor Summary
`protected` | `AbstractDiscountCalculator()` Deprecated See BEA Commerce product offering

Method Summary
`protected void` | `adjust(List poolObjects, AdjustmentType type, Money initialPrice, Money endPrice, String reason, QualificationDiscountId discountID)` Deprecated See BEA Commerce product offering
`protected void` | `adjust(PoolObject poolObject, AdjustmentType type, Money initialPrice, Money endPrice, String reason, QualificationDiscountId discountID)` Deprecated See BEA Commerce product offering
`protected double` | `computeNewPrice(PoolObject object)` Deprecated See BEA Commerce product offering
`protected abstract String` | `getComputation()` Deprecated See BEA Commerce product offering
`protected void` | `processList(List poolObjects, AdjustmentType type, String reason, QualificationDiscountId discountID)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.commerce.ebusiness.price.engine.DiscountCalculator
`calcNewPrice, calcNewPrice`

Field Detail

### DEBUG

    public static final boolean DEBUG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### AbstractDiscountCalculator

    protected AbstractDiscountCalculator()

  Deprecated See BEA Commerce product offering

Method Detail

### adjust

    protected void adjust(List poolObjects,
                          AdjustmentType type,
                          Money initialPrice,
                          Money endPrice,
                          String reason,
                          QualificationDiscountId discountID)

  Deprecated See BEA Commerce product offering

### adjust

    protected void adjust(PoolObject poolObject,
                          AdjustmentType type,
                          Money initialPrice,
                          Money endPrice,
                          String reason,
                          QualificationDiscountId discountID)

  Deprecated See BEA Commerce product offering

### processList

    protected void processList(List poolObjects,
                               AdjustmentType type,
                               String reason,
                               QualificationDiscountId discountID)

  Deprecated See BEA Commerce product offering

  possibly objects that dont represent the same line item. Override the computeNewPrice() method for this to work.

### computeNewPrice

    protected double computeNewPrice(PoolObject object)

  Deprecated See BEA Commerce product offering

  Override this method to have processList() work.

### getComputation

    protected abstract String getComputation()

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved